#!/bin/sh

echo --------------------
echo Check Required...

ERROR=0

while [ "$1" != "" ]
do
  echo -n \ \ $1... 
  porg -i $1 > /dev/null 2>&1
  retvalue=$?

  if [ $retvalue -eq 0 ]; then
    echo Ok
  else
    echo -e "\e[31;1mno\e[m"
    ERROR=1
  fi

  shift
done

echo --------------------
return $ERROR

